Subject: bug#44399: closed (Re: bug#44399: Cuirass problem with building from manifest file)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 25 Mar 2021 13:50:02 +0000

Your bug report

#44399: Cuirass problem with building from manifest file

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44399: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44399
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44399: Cuirass problem with building from manifest file
From: Mathieu Othacehe <[email-masked]>
To: david larsson <[email-masked]>
Cc: [email-masked]
Date: Thu, 25 Mar 2021 14:48:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

As the specification format is completely new and the evaluation process
has been rewritten, I think we can close this one.

Thanks,

Mathieu

Subject: Cuirass problem with building from manifest file
From: david larsson <[email-masked]>
To: [email-masked]
Date: Mon, 02 Nov 2020 19:45:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I am unable to build a simple manifest containing the hello package, see 
below. I tried imitating the manual 
https://guix.gnu.org/manual/en/html_node/Continuous-Integration.html but 
perhaps the manifest.scm is not supposed to contain a regular manifest 
or maybe that config example is outdated?

============================
The hello.scm file - works fine using guix package -m hello.scm
============================

cat /home/cuirass/my-guixsd-config.sh/manifests/hello.scm
(specifications->manifest
  (append (list "hello")
          '()))

============================
 From /var/log/cuirass.log
============================

2020-11-02T20:06:25 fetching input 'my-guixsd-config' of spec 'my-pkgs'
2020-11-02T20:06:25 fetching input 'my-guix-packages' of spec 'my-pkgs'
2020-11-02T20:06:25 fetching input 'guix' of spec 'my-pkgs'
2020-11-02T20:06:26 fetched input 'my-guixsd-config' of spec 'my-pkgs' 
(commit "fb3001bd453583b4638bf6ec7187b5758d7b0715")
2020-11-02T20:06:26 fetched input 'my-guix-packages' of spec 'my-pkgs' 
(commit "9f9c644076b088aabee76626598115c0fe6bfbde")
2020-11-02T20:06:26 fetched input 'guix' of spec 'my-pkgs' (commit 
"7c02eb6c8d7d050ecb8f3082c4a754ad32211403")
2020-11-02T20:06:26 next evaluation in 36000 seconds
2020-11-02T20:06:26 evaluating spec 'my-pkgs'
Uncaught exception in fiber ##f:
In cuirass/base.scm:
    785:13  3 (_)
In ice-9/boot-9.scm:
   1736:10  2 (with-exception-handler _ _ #:unwind? _ # _)
   1669:16  1 (raise-exception _ #:continuable? _)
   1667:16  0 (raise-exception _ #:continuable? _)
ice-9/boot-9.scm:1667:16: In procedure raise-exception:
ERROR:
   1. &evaluation-error:
       name: "my-pkgs"
       id: 1

============================
My cuirass-specs
============================

(define %cuirass-specs
   #~(
      list
   '((#:name . "my-pkgs")
     (#:load-path-inputs . ("guix"))
     (#:package-path-inputs . ("my-guix-packages"))
     (#:proc-input . "guix")
     (#:proc-file . "build-aux/cuirass/gnu-system.scm")
     (#:proc . cuirass-jobs)
     (#:proc-args .
      ((subset . manifests)
       ;; This builds fine!
       ;;(subset . ("hello" "cowsay" "orgmk" "fwknop" "python-on-guile" 
"libxml2-xpath0" "guile-bash-parallel" "guile-base64" "perl-data-ical" 
"python-pydotplus"))
       (systems . ("x86_64-linux"))
        ;; This fails on 7c02eb6
       (manifests . (("my-guixsd-config" . "hello.scm")))
       ))
     (#:inputs . (
                  ((#:name . "guix")
                   (#:url . "git://git.savannah.gnu.org/guix.git")
                   (#:load-path . ".")
                   ;;(#:branch . "master")
                   (#:commit . 
"7c02eb6c8d7d050ecb8f3082c4a754ad32211403")

                  ((#:name . "my-guix-packages")
                   (#:url . "file:///home/cuirass/my-guix-packages")
                   (#:load-path . "packages")
                   (#:branch . "master")
                   (#:no-compile? . #t))

                  ((#:name . "my-guixsd-config")
                   (#:url . "file:///home/cuirass/my-guixsd-config.sh")
                   (#:load-path . "manifests")
                   (#:branch . "master")
                   (#:no-compile? . #t))

                  ))
     (#:build-outputs . ()))
))

============================
And the evaluations file content
============================

gzip --decompress -c /var/log/cuirass/evaluations/1.gz
warning:
building things during evaluation
'build-things' arguments: 
(("/gnu/store/qhm7xsikyykvjisi8kbmzp8ny3cmf370-compute-guix-derivation.drv") 
0)
Computing Guix derivation for 'x86_64-linux'...
warning:
building things during evaluation
'build-things' arguments: 
(("/gnu/store/ps30mn7xq0ymcrdzlwim8pkv1czgv2zf-profile.drv") 0)
ERROR: In procedure read:
In procedure scm_lreadr: #<unknown port>:16:634: Unknown # object: #\<

Best regards,
David Larsson